Bug 291831 - Selection kills clipboard
Selection kills clipboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
14
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 20:33 EDT by Pete Zaitcev
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix #1 (6.71 KB, patch)
2010-11-21 23:21 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Pete Zaitcev 2007-09-14 20:33:40 EDT
Description of problem:

Making a selection in xchat kills clipboard.

Version-Release number of selected component (if applicable):

xchat-2.8.4-4.fc8.1

How reproducible:

100%

Steps to Reproduce:
1. Open xchat
2. Populate clipboard with a test string (e.g. do ^C somewhere)
   This can be done in xchat itself, or any other application.
3. Select (highlight) a different text in xchat.
4. Paste into any application (^V). The text highlighted at step 3
   will come out.

Actual results:

Selection contents wipe clipboard.

Expected results:

Clipboard retains contents until the next "Copy" or "Cut" operation.

Additional info:

None
Comment 1 Kevin Kofler 2007-09-14 22:06:47 EDT
Confirmed. Indeed, I've noticed XChat doing strange things to the clipboard, it 
just never bothered me enough to report it as a bug, though I agree with you 
that it is one.

I'm CCing the upstream author.

To elaborate on this, the specification we are expecting XChat (and any other 
app) to follow is this one:
http://standards.freedesktop.org/clipboards-spec/clipboards-0.1.txt
While this is not an official standard, it is how GTK+ and Qt use the clipboard 
and expect it to be used, so deviating from this behavior creates 
inconsistencies like the one reported.
Comment 2 Kevin Kofler 2007-09-14 22:15:43 EDT
Apparently the xchat-gnome fork has patched this issue, see: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=404736
I'll see if whatever changes they made can be ported to the regular xchat.
Comment 3 Kevin Kofler 2007-09-14 22:27:13 EDT
These are the possibly relevant commit IDs:
http://svn.gnome.org/viewcvs/xchat-gnome?view=revision&revision=2267
http://svn.gnome.org/viewcvs/xchat-gnome?view=revision&revision=2268
http://svn.gnome.org/viewcvs/xchat-gnome?view=revision&revision=2273
http://svn.gnome.org/viewcvs/xchat-gnome?view=revision&revision=2293
(I haven't tried to port these to fe-gtk, so I don't know if their changes are 
relevant or if this needs to be patched differently here.)
Comment 4 Bug Zapper 2008-04-04 09:50:42 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Kevin Kofler 2008-04-04 10:19:09 EDT
This is still there in Rawhide.
Comment 6 Bug Zapper 2008-05-13 23:13:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Pete Zaitcev 2008-08-13 17:53:38 EDT
Stupid robots stealing Rawhide bugs... Changing back.
BTW, this still happens in xchat-2.8.6-3.fc10.
Comment 8 Bug Zapper 2008-11-25 20:59:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Pete Zaitcev 2009-04-23 16:32:26 EDT
This is still a problem in xchat-2.8.6-7.fc11.x86_64.
Comment 10 Bug Zapper 2009-06-09 05:18:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Pete Zaitcev 2009-08-09 20:51:29 EDT
The bug is going to be 2 years old next Friday.
Still present in xchat-2.8.6-11.fc12.x86_64.
We're doomed, right?
Comment 12 Bug Zapper 2009-11-16 02:57:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-11-04 08:07:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Pete Zaitcev 2010-11-04 10:31:18 EDT
Still present in xchat-2.8.8-2.fc13.x86_64.
Comment 15 Pete Zaitcev 2010-11-18 13:25:28 EST
Still present in xchat-2.8.8-4.fc14.x86_64.
Comment 16 Pete Zaitcev 2010-11-21 23:21:54 EST
Created attachment 461916 [details]
proposed fix #1
Comment 18 Fedora End Of Life 2012-08-16 17:40:00 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.